Get Security Monitoring Clusters Summary

Get Security Monitoring Clusters Summary
Get security monitoring clusters summary

Retrieve security monitoring summary for a site, including DFW and IDPS clusters status breakdowns with mode and category details.

Request
URI
GET
https://{api_host}/security-monitoring/sites/{site-id}/clusters-summary
COPY
Path Parameters
string
site-id
Required  

Site id in the query


Authentication
This operation uses the following authentication methods.
Responses
200

Success.

Returns SecurityMonitoringClustersSummary of type(s) application/json
{
    "global_dfw_status": "ON",
    "total_clusters": 200,
    "dfw_clusters": [
        {
            "status": "ON",
            "total_clusters": 200
        },
        {
            "status": "OFF",
            "total_clusters": 0
        }
    ],
    "idps_clusters": [
        {
            "status": "OFF",
            "total_clusters": 100,
            "mode_breakdown": [
                {
                    "mode": "TURBO",
                    "cluster_count": 50,
                    "categories": [
                        {
                            "category": "ELIGIBLE_FOR_IDPS",
                            "cluster_count": 50
                        },
                        {
                            "category": "INELIGIBLE_FOR_IDPS",
                            "cluster_count": 0
                        }
                    ]
                },
                {
                    "mode": "CLASSIC",
                    "cluster_count": 50,
                    "categories": [
                        {
                            "category": "ELIGIBLE_FOR_IDPS",
                            "cluster_count": 20
                        },
                        {
                            "category": "INELIGIBLE_FOR_IDPS",
                            "cluster_count": 30
                        },
                        {
                            "category": "TURBO_UPGRADABLE",
                            "cluster_count": 30
                        },
                        {
                            "category": "TURBO_NOT_UPGRADABLE",
                            "cluster_count": 20
                        }
                    ]
                }
            ]
        },
        {
            "status": "ON",
            "total_clusters": 100,
            "mode_breakdown": [
                {
                    "mode": "TURBO",
                    "cluster_count": 50,
                    "categories": []
                },
                {
                    "mode": "CLASSIC",
                    "cluster_count": 50,
                    "categories": [
                        {
                            "category": "TURBO_UPGRADABLE",
                            "cluster_count": 20
                        },
                        {
                            "category": "TURBO_NOT_UPGRADABLE",
                            "cluster_count": 30
                        }
                    ]
                }
            ]
        }
    ]
}
string
global_dfw_on
Optional

Status of security monitoring indicating whether a particular feature (DFW/IDPS) is enabled (ON) or disabled (OFF) at cluster level or globally.

Enumeration: ON, OFF
integer As int64 As int64
total_clusters
Required  

Total number of clusters in the site.

array of object
dfw_clusters
Required  

Summary of DFW clusters grouped by status (ON/OFF).

array of object
idps_clusters
Required  

Summary of IDPS clusters grouped by status (ON/OFF) with mode (TURBO or CLASSIC) and category (ELIGIBLE_FOR_IDPS, INELIGIBLE_FOR_IDPS, TURBO_UPGRADABLE, TURBO_NOT_UPGRADABLE, NOT_APPLICABLE) breakdowns.


400

Bad request. The request parameters are invalid or malformed.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


404

Not found.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

An unexpected error occurred while processing the request.

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/security-monitoring/sites/{site-id}/clusters-summary